## org.eclipse.xsd
Interface XSDRedefine

All Superinterfaces:
  EObject, Notifier, XSDConcreteComponent, XSDSchemaCompositor, XSDSchemaContent, XSDSchemaDirective

All Known Implementing Classes:
  XSDRedefineImpl

    public interface XSDRedefine

extends XSDSchemaCompositor

A representation of the model object 'Redefine'.

The following features are supported:

- `Annotations`
- `Contents`

See Also:
  `XSDPackage.getXSDRedefine()`

Method Summary
`EList<XSDAnnotation>` `getAnnotations()` Returns the value of the 'Annotations' reference list.
`EList<XSDRedefineContent>` `getContents()` Returns the value of the 'Contents' containment reference list.

Methods inherited from interface org.eclipse.xsd.XSDSchemaCompositor
`getIncorporatedSchema, setIncorporatedSchema`

Methods inherited from interface org.eclipse.xsd.XSDSchemaDirective
`getResolvedSchema, getSchemaLocation, setResolvedSchema, setSchemaLocation`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAnnotations

    EList<XSDAnnotation> getAnnotations()

  Returns the value of the 'Annotations' reference list. The list contents are of type `XSDAnnotation`.

  This reference represents the annotation contents defined within the body of an redefine element. It is computed from the `contents` and should typically not be modified directly.

  Returns:
    the value of the 'Annotations' reference list.
  See Also:
    `XSDPackage.getXSDRedefine_Annotations()`

### getContents

    EList<XSDRedefineContent> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `XSDRedefineContent`.

  This concrete reference represents the contents defined within the body of an redefine element.

  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDRedefine_Contents()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.